package no.rwr.image;
import java.awt.image.*;
import no.rwr.util.*;

public abstract class RenderCSMByteToSPPSMUShort extends RenderCSMToSPPSM {
 
    protected void render(DataBuffer srcDB, DataBuffer destDB,
			  int srcOffset, int destOffset,
			  int sweeps, int sweepSize,
			  int srcSweepStride, int destSweepStride) {
	byte[]   src = ((DataBufferByte) srcDB).getData();
	short[] dest = ((DataBufferUShort) destDB).getData();
	
	// two bytes per ushort:
	destOffset *= 2;
	destSweepStride *= 2;

	render(src, dest, srcOffset, destOffset,
	       sweeps, sweepSize,
	       srcSweepStride, destSweepStride);
    }

    protected abstract void render(byte[] src, short[] dest,
				   int srcOffset, int destOffset,
				   int sweeps, int sweepSize,
				   int srcSweepStride, int destSweepStride);
}
